summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2017-07-19 10:55:16 +0200
committerAmy Liffey <amynka@gentoo.org>2017-07-19 10:56:40 +0200
commit5616bbbed51a0890df9577e0aa64f2d5b5489cdd (patch)
tree00fca08aef5538697ccde11ab866e23dfc674654 /dev-tcltk
parentmedia-libs/raspberrypi-userland: tidy up ebuild and add missing dies. (diff)
downloadgentoo-5616bbbed51a0890df9577e0aa64f2d5b5489cdd.tar.gz
gentoo-5616bbbed51a0890df9577e0aa64f2d5b5489cdd.tar.bz2
gentoo-5616bbbed51a0890df9577e0aa64f2d5b5489cdd.zip
dev-tcltk/tls: version bump 1.7.11 bug #605720
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'dev-tcltk')
-rw-r--r--dev-tcltk/tls/Manifest1
-rw-r--r--dev-tcltk/tls/tls-1.7.11.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-tcltk/tls/Manifest b/dev-tcltk/tls/Manifest
index da1c6142184..62680efbdc6 100644
--- a/dev-tcltk/tls/Manifest
+++ b/dev-tcltk/tls/Manifest
@@ -1,2 +1,3 @@
+DIST tcltls-1.7.11.tar.gz 158181 SHA256 6c9ec017751a0bd6546780273f2992cee6786c2199e6798ec2e25367ff577f60 SHA512 7a9aa33d7ed606ba792b4ff5a817a94f880b7204795ac30ab386299ee5850c7dfde920f35056676afa2db23866ad4fc6cb6c6b9e7a7dfba7385f97f447de2e04 WHIRLPOOL 5a1f29bf812332218e5805598dd5bb0a70fd7342b2c5259fc9283457e202bf35399339254cfa10b7622df38e6822ab8cf7652708436f10fa400073762fdbc59e
DIST tls1.6-src.tar.gz 168043 SHA256 adec50143a9ad634a671d24f7c7bbf2455487eb5f12d290f41797c32a98b93f3 SHA512 beaca2653a11924f022e28254cef5071ecb8ab2e2355496d278fcab1bdcc46424aa58d2fe176aea26ec4fbe4416a912b5af8e8e69571c8a5301b7921ecf48383 WHIRLPOOL 5769eccd4df94558d7b5cdaa7234f4b248e3d8108686c3104bfa53a709a444088cdbf51b9660ecaa1f213c9391afbf81108ed330fe41bed3409d3c9364ac9790
DIST tls1.6.7-src.tar.gz 173654 SHA256 5119de3e5470359b97a8a00d861c9c48433571ee0167af0a952de66c99d3a3b8 SHA512 f8dbb7fc9890bcb3e3930cad66209ca67cd68c0aa2288caa6a3bb1fd1ad21444f1eb056b4b4585ec86da64079cd9df72cdd6ff201102820d45e6397d6148d21c WHIRLPOOL 3aa6f39995c89569d9365a118d096b628f11c9163be8b90cdd5dbf4f59502c78906da311ba5e47ef97f01e2980992d3a5fa4bfbb6c56dbc804a6d24e1f99439b
diff --git a/dev-tcltk/tls/tls-1.7.11.ebuild b/dev-tcltk/tls/tls-1.7.11.ebuild
new file mode 100644
index 00000000000..7b22e45bf9d
--- /dev/null
+++ b/dev-tcltk/tls/tls-1.7.11.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+MY_P="tcl${PN}-${PV}"
+
+DESCRIPTION="TLS OpenSSL extension to Tcl"
+HOMEPAGE="http://tls.sourceforge.net/"
+SRC_URI="https://core.tcl.tk/tcltls/uv/tcl${PN}-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="tk"
+
+DEPEND="
+ dev-lang/tcl:0=
+ dev-libs/openssl:0=
+ tk? ( dev-lang/tk:0= )"
+RDEPEND="${DEPEND}"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ econf \
+ --with-ssl-dir="${EPREFIX}/usr" \
+ --with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_install() {
+ default
+ dodoc tls.htm
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # this is ugly, but fixing the makefile mess is even worse
+ local loc=usr/$(get_libdir)/tls1.7/libtls1.7.dylib
+ install_name_tool -id "${EPREFIX}"/${loc} "${ED}"/${loc} || die
+ fi
+}